# Uses of Class
java.util.GregorianCalendar

Packages that use GregorianCalendar
Package
Description
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.xml.datatype
Defines XML/Java Type Mappings.

## Uses of GregorianCalendar in java.util

Methods in java.util that return GregorianCalendar
Modifier and Type
Method
Description
`static GregorianCalendar`
GregorianCalendar.`from(ZonedDateTime zdt)`
Obtains an instance of `GregorianCalendar` with the default locale from a `ZonedDateTime` object.

## Uses of GregorianCalendar in javax.xml.datatype

Methods in javax.xml.datatype that return GregorianCalendar
Modifier and Type
Method
Description
`abstract GregorianCalendar`
XMLGregorianCalendar.`toGregorianCalendar()`
Convert this `XMLGregorianCalendar` to a `GregorianCalendar`.
`abstract GregorianCalendar`
XMLGregorianCalendar.`toGregorianCalendar(TimeZone timezone, Locale aLocale, XMLGregorianCalendar defaults)`
Convert this `XMLGregorianCalendar` along with provided parameters to a `GregorianCalendar` instance.
Methods in javax.xml.datatype with parameters of type GregorianCalendar
Modifier and Type
Method
Description
`abstract XMLGregorianCalendar`
DatatypeFactory.`newXMLGregorianCalendar(GregorianCalendar cal)`
Create an `XMLGregorianCalendar` from a `GregorianCalendar`.